SRU: cpu usage goes to 100%

Bug #367375 reported by zarej on 2009-04-26
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
userful-multiplier (Ubuntu)
Medium
LaserJock
Jaunty
Medium
LaserJock

Bug Description

Architecture: i386
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: 323-20090317110251-0ubuntu3
Kernel: 2.6.28-11-generic

When userful multiplier is enabled, cpu usage goes to 100%. Over 95% use process X. I'm using graphic card GeForce 5200 and have property installed nvidia driver and did'nt modify any settings in xorg.conf.

TEST CASE:
1. Install userful-multiplier
2. Run Userful Multiplier
3. Watch CPU usage

Tim Griffin (tim-userful) wrote :

This bug has been fixed in v325. We will attempt to get this update included shortly.

Tim Griffin (tim-userful) wrote :

Here is a download link to the version that fixes this (and other bugs -- see changelog below):
http://download.userful.com/umx/325/userful-multiplier-325-ubunbu.zip

Changelog (v325):
* Fixed automatic handling of DVI monitors on ATI cards
* Fixed radeon cards: Updated RAC (Resource Access Control) code to support multiple Radeon cards.
* Rolled back radeon driver version to avoid newly introduced radeon driver issues.
* Added support for Radeon R100/R200 chipsets.
* Fixed Ubuntu 9.04 100% CPU usage bug
* Fixed default resolution bug

Changed in userful-multiplier (Ubuntu):
status: New → Fix Released
assignee: nobody → Tim Griffin (tim-userful)
Changed in userful-multiplier (Ubuntu):
status: Fix Released → Fix Committed
LaserJock (laserjock) on 2009-08-15
summary: - When I enable Userful Multiplier cpu usage goes 100% and all is used by
- process X
+ SRU: cpu usage goes to 100%
LaserJock (laserjock) wrote :

Relevant changelog entries:

userful-multiplier (325-20090602094829-0ubuntu1) jaunty; urgency=low

  * Upgraded RAC (Resource Access Control) to support multiple video
    cards well.

 -- Jason Kim <email address hidden> Tue, 19 May 2009 10:59:15 -0700

userful-multiplier (324-20090514165725-0ubuntu1) jaunty; urgency=low

  * Fixed 100% cpu usage by X
  * Use 1024x768 as the default resolution

 -- Jason Kim <email address hidden> Tue, 19 May 2009 10:59:15 -0700

userful-multiplier (323-20090409144458-0ubuntu1) jaunty; urgency=low

  * Fixed bug caused by system upgrade from the previous Ubuntu version

 -- Jason Kim <email address hidden> Fri, 10 Apr 2009 09:51:11 -0700

userful-multiplier (323-20090317110251-0ubuntu3) jaunty; urgency=low

description: updated
Changed in userful-multiplier (Ubuntu Jaunty):
status: New → In Progress
importance: Undecided → Medium
Changed in userful-multiplier (Ubuntu):
importance: Undecided → Medium
assignee: Tim Griffin (tim-userful) → Jordan Mantha (laserjock)
Changed in userful-multiplier (Ubuntu Jaunty):
assignee: nobody → Jordan Mantha (laserjock)
LaserJock (laserjock) on 2009-08-15
Changed in userful-multiplier (Ubuntu):
status: Fix Committed → Fix Released
LaserJock (laserjock) on 2009-09-22
Changed in userful-multiplier (Ubuntu Jaunty):
status: In Progress → New
John Dong (jdong) wrote :

Well this is a somewhat "interesting" SRU given that our usual procedure for reviewing them involves having source patches which isn't possible in this case.

From examining the changelog entries the contents of the changes seem to be largely in line with the spirit of a SRU. Based on that, I'll give my approval as MOTU-SRU to push this into -proposed for broader testing.

Changed in userful-multiplier (Ubuntu Jaunty):
status: New → Confirmed
Martin Pitt (pitti) wrote :

The uploaded package does not look particularly suitable, though:

 - Please merge the changelogs, or build with -v, so that users actually see the relevant parts.

 - Breaks older changelog entries (capitalization of intrepid and jaunty)

 - Drops the desktop-multiplier package (which is fine for karmic, but unsuitable for an SRU)

 - Adds an upstart script, which didn't get tested in Jaunty; even worse, the upstart script execs /opt/userful/bin/umx-init.sh; I hope the actual .deb installs itself into /usr/ ?

 - lib/security/pam_external_exec.la introduces a new dependency -lglib-2.0

 - .desktop file changes strings:
     -Name=Userful Control Panel
     +Name=Userful

Changed in userful-multiplier (Ubuntu Jaunty):
status: Confirmed → Incomplete
Scott Kitterman (kitterman) wrote :

Note:: Martin didn't actually reject this upload, so I'm doing so to clear the way for a more suitable package.

Martin Pitt (pitti) wrote :

Thanks, Scott. Please note that you can do several uploads with the same version into the queue, it just takes some care to reject the "bad" one then.

JC Hulce (soaringsky) wrote :

Thank you for taking the time to report this bug. This issue has been fixed in newer versions of Ubuntu, and Jaunty is EOL, so I am closing this bug task.

Changed in userful-multiplier (Ubuntu Jaunty):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers